Package icyllis.modernui.lifecycle

# Enum Class Lifecycle.State

java.lang.Object
java.lang.Enum<Lifecycle.State>
icyllis.modernui.lifecycle.Lifecycle.State

All Implemented Interfaces:
  `Serializable`, `Comparable<Lifecycle.State>`, `Constable`

Enclosing class:
  `Lifecycle`

public static enum Lifecycle.State extends Enum<Lifecycle.State>
Lifecycle states. You can consider the states as the nodes in a graph and `Lifecycle.Event`s as the edges between these nodes.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CREATED`
  Created state for a LifecycleOwner.
  `DESTROYED`
  Destroyed state for a LifecycleOwner.
  `INITIALIZED`
  Initialized state for a LifecycleOwner.
  `RESUMED`
  Resumed state for a LifecycleOwner.
  `STARTED`
  Started state for a LifecycleOwner.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isAtLeast(Lifecycle.State state)`
  Compares if this State is greater or equal to the given `state`.
  `static Lifecycle.State`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Lifecycle.State[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DESTROYED

    public static final Lifecycle.State DESTROYED
    Destroyed state for a LifecycleOwner. After this event, this Lifecycle will not dispatch any more events.

  - ### INITIALIZED

    public static final Lifecycle.State INITIALIZED
    Initialized state for a LifecycleOwner.

  - ### CREATED

    public static final Lifecycle.State CREATED
    Created state for a LifecycleOwner.

  - ### STARTED

    public static final Lifecycle.State STARTED
    Started state for a LifecycleOwner.

  - ### RESUMED

    public static final Lifecycle.State RESUMED
    Resumed state for a LifecycleOwner.

- ## Method Details

  - ### values

    public static Lifecycle.State[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Lifecycle.State valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isAtLeast

    public boolean isAtLeast(@Nonnull Lifecycle.State state)
    Compares if this State is greater or equal to the given `state`.
    Parameters:
      `state` - State to compare with
    Returns:
      true if this State is greater or equal to the given `state`